`timescale 1ns / 1ps

module tb;

	// Inputs
	reg pix_clk;

	// Outputs
	wire TCLK_out_p;
	wire TCLK_out_n;
	wire T0_out_p;
	wire T1_out_p;
    wire T2_out_p;
    wire T3_out_p;
    wire T0_out_n;
    wire T1_out_n;
    wire T2_out_n;
    wire T3_out_n;

   GSR GSR(.GSRI(1'b0));  
    initial begin
        $fsdbDumpfile("lvds71_lcd.fsdb");
        $fsdbDumpvars;
    end

    initial begin
        pix_clk=1'b0;
        #1;
        forever
        #10 pix_clk=~pix_clk;
    end
   	// Instantiate the Unit Under Test (UUT)
	top uut (
        .TCLK_out_p(TCLK_out_p),
		.TCLK_out_n(TCLK_out_n),
		.T0_out_p(T0_out_p),
		.T1_out_p(T1_out_p),
		.T2_out_p(T2_out_p),
		.T3_out_p(T3_out_p),
		.T0_out_n(T0_out_n),
		.T1_out_n(T1_out_n),
        .T2_out_n(T2_out_n),
		.T3_out_n(T3_out_n),
        .pix_clk(pix_clk)
	);
	
	   initial begin
		#1000;
		#50000;
		#20000;
        #50000;
        $finish;
	end
      
   
endmodule

